Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class EntityNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.property.EntityNotFoundException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  CustomerNotFoundException

    public class EntityNotFoundException

extends ApplicationException

Application exception to signify that a requested ConfigurableEntity could not be found in the database.

See Also
  Serialized Form

Constructor Summary
`EntityNotFoundException()`
`EntityNotFoundException(String message)` Constructor
`EntityNotFoundException(String message, Throwable t)` Constructor
`EntityNotFoundException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityNotFoundException

    public EntityNotFoundException()

### EntityNotFoundException

    public EntityNotFoundException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### EntityNotFoundException

    public EntityNotFoundException(String message,
                                   Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### EntityNotFoundException

    public EntityNotFoundException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved